:root, html[current-theme='light'] {
    --primary: #fbe5c0; /*#fbe5c0;*/
    --secondary: #ffedcf;
    --third: #fff7ea;

    --background: #765d36;

    --primary-accent: #4e1c17; 
    --secondary-accent: #863e38;

    --primary-text: #fbe5c0;
    --secondary-text: #4e1c17;
    --blockquote-text: #da958e;
    --link-hover: #863e38;
    --text-shadow: #ce9893;

    --error-color: #4e1c17;

    --background-default: url("../images/light_mode/background.png"); 
    --background-texture: url("../images/light_mode/gearPattern.png");
    --background-texture-light: url("../images/light_mode/gearPatternLight.png");
}

html[current-theme='dark'] {
    --primary: #555364;
    --secondary: #666477;
    --third: #908ea7;

    --background: #1b1b1b;

    --primary-accent: #1b1b1b;
    --secondary-accent: #25252b;

    --primary-text: #666470;
    --secondary-text: #1b1b1b;
    --blockquote-text: #666470;
    --link-hover: #666470;
    --text-shadow: #7a7888;

    --error-color: #4e1c17;

    --background-default: url("../images/dark_mode/background.png");
    --background-texture: url("../images/dark_mode/gearPattern.png");
    --background-texture-light: url("../images/dark_mode/gearPatternLight.png");
}

a {
    text-decoration: none;
    color: var(--secondary-text);
}

a:hover {
    color: var(--link-hover);
}

body {
    background-image: var(--background-default);
    background-color: var(--background);
    background-repeat: no-repeat;
    background-position: center;
    min-width: 500px;
    margin: 0px;
}

#title, #subtitle, h1, h2, h3, h4, p, i, b {
    color: var(--secondary-text);
    font-family: Constantia;
}

#title {
    font-size: 150px;
    margin-left: 50;
    display: inline;
}

#subtitle {
    font-size: 35px;
    display: inline; 
}

h1 {
    font-size: 42px;
    text-align: center;

}

h2 {
    font-size: 30px;
    position: relative;
    top: 10px;
}

h3 {
    font-size: 26px;
}

h4 {
    font-size: 22px;
    margin: 0px;
}

p {
    font-size: 18px;
    text-align: justify;
}

i {
    font-size: 18px;
    text-shadow: 1px 1px var(--text-shadow);
}

blockquote {
    font-size: 18px;
    background-color: var(--secondary-accent);
    color: var(--blockquote-text);
    padding: 15px;
    border-right: 10px solid var(--primary-accent);
    border-left: 10px solid var(--primary-accent);
    font-style: italic;
}

ol {
    font-size: 18px;
}

header, main {
    background-color: var(--primary);
}

header {
    block-size: 142px;
}

main {
    margin: 20px;
    padding: 20px;
}

img.announcement-icon {
    width: 50px;
    height: 50px;
    float: left;
    padding-right: 5px;
}

.announcements {
    background-color: var(--secondary-accent);
    min-height: 50px;
    padding: 10px;
    border-right: 10px solid var(--primary-accent);
    border-left: 10px solid var(--primary-accent);
}

p.announcement {
    display: inline;
    color: var(--primary-text);
}